Index: ObsoleteFiles.inc
===================================================================
--- ObsoleteFiles.inc	(revision 281525)
+++ ObsoleteFiles.inc	(working copy)
@@ -38,6 +38,21 @@
 #   xargs -n1 | sort | uniq -d;
 # done
 
+# 20150410: ALTQ moved to net/altq
+OLD_FILES+=usr/include/altq/altq_rmclass_debug.h
+OLD_FILES+=usr/include/altq/altq.h
+OLD_FILES+=usr/include/altq/altq_cdnr.h
+OLD_FILES+=usr/include/altq/altq_hfsc.h
+OLD_FILES+=usr/include/altq/altq_priq.h
+OLD_FILES+=usr/include/altq/altqconf.h
+OLD_FILES+=usr/include/altq/altq_classq.h
+OLD_FILES+=usr/include/altq/altq_red.h
+OLD_FILES+=usr/include/altq/if_altq.h
+OLD_FILES+=usr/include/altq/altq_var.h
+OLD_FILES+=usr/include/altq/altq_rmclass.h
+OLD_FILES+=usr/include/altq/altq_cbq.h
+OLD_FILES+=usr/include/altq/altq_rio.h
+OLD_DIRS+=usr/include/altq
 # 20150410
 OLD_FILES+=usr/share/doc/usd/10.exref/paper.ascii.gz
 OLD_FILES+=usr/share/doc/usd/10.exref/summary.ascii.gz
Index: include/Makefile
===================================================================
--- include/Makefile	(revision 281525)
+++ include/Makefile	(working copy)
@@ -50,6 +50,7 @@ LSUBDIRS=	cam/ata cam/scsi \
 	geom/cache geom/concat geom/eli geom/gate geom/journal geom/label \
 	geom/mirror geom/mountver geom/multipath geom/nop \
 	geom/raid geom/raid3 geom/shsec geom/stripe geom/virstor \
+	net/altq \
 	netgraph/atm netgraph/netflow \
 	security/audit \
 	security/mac_biba security/mac_bsdextended security/mac_lomac \
@@ -144,7 +145,7 @@ compat:
 	    -p ${DESTDIR}${INCLUDEDIR}
 
 copies:
-.for i in ${LDIRS} ${LSUBDIRS} ${LSUBSUBDIRS} altq crypto machine machine/pc \
+.for i in ${LDIRS} ${LSUBDIRS} ${LSUBSUBDIRS} crypto machine machine/pc \
 	${_MARCHS}
 .if exists(${DESTDIR}${INCLUDEDIR}/$i)
 	cd ${DESTDIR}${INCLUDEDIR}/$i; \
@@ -179,9 +180,6 @@ copies:
 	cd ${.CURDIR}/../sys/dev/pci; \
 	${INSTALL} -C -o ${BINOWN} -g ${BINGRP} -m 444 pcireg.h \
 	    ${DESTDIR}${INCLUDEDIR}/dev/pci
-	cd ${.CURDIR}/../sys/contrib/altq/altq; \
-	${INSTALL} -C -o ${BINOWN} -g ${BINGRP} -m 444 *.h \
-	    ${DESTDIR}${INCLUDEDIR}/altq
 	cd ${.CURDIR}/../sys/fs/cd9660/; \
 	${INSTALL} -C -o ${BINOWN} -g ${BINGRP} -m 444 *.h \
 	    ${DESTDIR}${INCLUDEDIR}/isofs/cd9660
@@ -279,11 +277,6 @@ symlinks:
 		ln -fs ../../../../../sys/$i/$$h ${DESTDIR}${INCLUDEDIR}/$i; \
 	done
 .endfor
-	cd ${.CURDIR}/../sys/contrib/altq/altq; \
-	for h in *.h; do \
-		ln -fs ../../../sys/contrib/altq/altq/$$h \
-		    ${DESTDIR}${INCLUDEDIR}/altq; \
-	done
 .if ${MK_IPFILTER} != "no"
 	cd ${.CURDIR}/../sys/contrib/ipfilter/netinet; \
 	for h in *.h; do \
Index: sbin/pfctl/parse.y
===================================================================
--- sbin/pfctl/parse.y	(revision 281525)
+++ sbin/pfctl/parse.y	(working copy)
@@ -44,10 +44,10 @@ __FBSDID("$FreeBSD$");
 #include <netinet/icmp6.h>
 #include <net/pfvar.h>
 #include <arpa/inet.h>
-#include <altq/altq.h>
-#include <altq/altq_cbq.h>
-#include <altq/altq_priq.h>
-#include <altq/altq_hfsc.h>
+#include <net/altq/altq.h>
+#include <net/altq/altq_cbq.h>
+#include <net/altq/altq_priq.h>
+#include <net/altq/altq_hfsc.h>
 
 #include <stdio.h>
 #include <unistd.h>
Index: sbin/pfctl/pfctl.c
===================================================================
--- sbin/pfctl/pfctl.c	(revision 281525)
+++ sbin/pfctl/pfctl.c	(working copy)
@@ -44,7 +44,7 @@ __FBSDID("$FreeBSD$");
 #include <netinet/in.h>
 #include <net/pfvar.h>
 #include <arpa/inet.h>
-#include <altq/altq.h>
+#include <net/altq/altq.h>
 #include <sys/sysctl.h>
 
 #include <err.h>
Index: sbin/pfctl/pfctl_altq.c
===================================================================
--- sbin/pfctl/pfctl_altq.c	(revision 281525)
+++ sbin/pfctl/pfctl_altq.c	(working copy)
@@ -38,10 +38,10 @@ __FBSDID("$FreeBSD$");
 #include <string.h>
 #include <unistd.h>
 
-#include <altq/altq.h>
-#include <altq/altq_cbq.h>
-#include <altq/altq_priq.h>
-#include <altq/altq_hfsc.h>
+#include <net/altq/altq.h>
+#include <net/altq/altq_cbq.h>
+#include <net/altq/altq_priq.h>
+#include <net/altq/altq_hfsc.h>
 
 #include "pfctl_parser.h"
 #include "pfctl.h"
Index: sbin/pfctl/pfctl_qstats.c
===================================================================
--- sbin/pfctl/pfctl_qstats.c	(revision 281525)
+++ sbin/pfctl/pfctl_qstats.c	(working copy)
@@ -34,10 +34,10 @@ __FBSDID("$FreeBSD$");
 #include <string.h>
 #include <unistd.h>
 
-#include <altq/altq.h>
-#include <altq/altq_cbq.h>
-#include <altq/altq_priq.h>
-#include <altq/altq_hfsc.h>
+#include <net/altq/altq.h>
+#include <net/altq/altq_cbq.h>
+#include <net/altq/altq_priq.h>
+#include <net/altq/altq_hfsc.h>
 
 #include "pfctl.h"
 #include "pfctl_parser.h"
Index: sys/conf/files
===================================================================
--- sys/conf/files	(revision 281525)
+++ sys/conf/files	(working copy)
@@ -247,14 +247,6 @@ compat/freebsd32/freebsd32_ioctl.c	optional compat
 compat/freebsd32/freebsd32_misc.c	optional compat_freebsd32
 compat/freebsd32/freebsd32_syscalls.c	optional compat_freebsd32
 compat/freebsd32/freebsd32_sysent.c	optional compat_freebsd32
-contrib/altq/altq/altq_cbq.c		optional altq
-contrib/altq/altq/altq_cdnr.c		optional altq
-contrib/altq/altq/altq_hfsc.c		optional altq
-contrib/altq/altq/altq_priq.c		optional altq
-contrib/altq/altq/altq_red.c		optional altq
-contrib/altq/altq/altq_rio.c		optional altq
-contrib/altq/altq/altq_rmclass.c	optional altq
-contrib/altq/altq/altq_subr.c		optional altq
 contrib/dev/acpica/common/ahids.c			optional acpi acpi_debug
 contrib/dev/acpica/common/ahuuids.c			optional acpi acpi_debug
 contrib/dev/acpica/components/debugger/dbcmds.c		optional acpi acpi_debug
@@ -3272,6 +3264,14 @@ libkern/strtoul.c		standard
 libkern/strtouq.c		standard
 libkern/strvalid.c		standard
 libkern/timingsafe_bcmp.c	standard
+net/altq/altq_cbq.c		optional altq
+net/altq/altq_cdnr.c		optional altq
+net/altq/altq_hfsc.c		optional altq
+net/altq/altq_priq.c		optional altq
+net/altq/altq_red.c		optional altq
+net/altq/altq_rio.c		optional altq
+net/altq/altq_rmclass.c		optional altq
+net/altq/altq_subr.c		optional altq
 net/bpf.c			standard
 net/bpf_buffer.c		optional bpf
 net/bpf_jitter.c		optional bpf_jitter
Index: sys/conf/kern.pre.mk
===================================================================
--- sys/conf/kern.pre.mk	(revision 281525)
+++ sys/conf/kern.pre.mk	(working copy)
@@ -64,13 +64,10 @@ NOSTDINC= -nostdinc
 
 INCLUDES= ${NOSTDINC} ${INCLMAGIC} -I. -I$S
 
-# This hack lets us use the OpenBSD altq code without spamming a new
-# include path into contrib'ed source files.
-INCLUDES+= -I$S/contrib/altq
-
 .if make(depend) || make(kernel-depend)
 
-# ... and the same for ipfilter
+# This hack lets us use the ipfilter code without spamming a new
+# include path into contrib'ed source files.
 INCLUDES+= -I$S/contrib/ipfilter
 
 # ... and the same for ath
Index: sys/conf/kmod.mk
===================================================================
--- sys/conf/kmod.mk	(revision 281525)
+++ sys/conf/kmod.mk	(working copy)
@@ -101,10 +101,6 @@ CFLAGS+=	-DHAVE_KERNEL_OPTION_HEADERS -include ${K
 # set because there are no standard paths for non-headers.
 CFLAGS+=	-I. -I${SYSDIR}
 
-# Add -I path for altq headers as they are included via net/if_var.h
-# for example.
-CFLAGS+=	-I${SYSDIR}/contrib/altq
-
 CFLAGS.gcc+=	-finline-limit=${INLINE_LIMIT}
 CFLAGS.gcc+=	-fms-extensions
 CFLAGS.gcc+= --param inline-unit-growth=100
Index: sys/net/altq/altq.h
===================================================================
--- sys/net/altq/altq.h	(revision 281525)
+++ sys/net/altq/altq.h	(working copy)
@@ -198,7 +198,7 @@ struct pktcntr {
 #endif /* ALTQ3_COMPAT */
 
 #ifdef _KERNEL
-#include <altq/altq_var.h>
+#include <net/altq/altq_var.h>
 #endif
 
 #endif /* _ALTQ_ALTQ_H_ */
Index: sys/net/altq/altq_cbq.c
===================================================================
--- sys/net/altq/altq_cbq.c	(revision 281525)
+++ sys/net/altq/altq_cbq.c	(working copy)
@@ -60,10 +60,10 @@
 #include <netpfil/pf/pf.h>
 #include <netpfil/pf/pf_altq.h>
 #include <netpfil/pf/pf_mtag.h>
-#include <altq/altq.h>
-#include <altq/altq_cbq.h>
+#include <net/altq/altq.h>
+#include <net/altq/altq_cbq.h>
 #ifdef ALTQ3_COMPAT
-#include <altq/altq_conf.h>
+#include <net/altq/altq_conf.h>
 #endif
 
 #ifdef ALTQ3_COMPAT
Index: sys/net/altq/altq_cbq.h
===================================================================
--- sys/net/altq/altq_cbq.h	(revision 281525)
+++ sys/net/altq/altq_cbq.h	(working copy)
@@ -33,10 +33,10 @@
 #ifndef _ALTQ_ALTQ_CBQ_H_
 #define	_ALTQ_ALTQ_CBQ_H_
 
-#include <altq/altq.h>
-#include <altq/altq_rmclass.h>
-#include <altq/altq_red.h>
-#include <altq/altq_rio.h>
+#include <net/altq/altq.h>
+#include <net/altq/altq_rmclass.h>
+#include <net/altq/altq_red.h>
+#include <net/altq/altq_rio.h>
 
 #ifdef __cplusplus
 extern "C" {
Index: sys/net/altq/altq_cdnr.c
===================================================================
--- sys/net/altq/altq_cdnr.c	(revision 281525)
+++ sys/net/altq/altq_cdnr.c	(working copy)
@@ -55,12 +55,12 @@
 #include <netinet/ip6.h>
 #endif
 
-#include <altq/if_altq.h>
-#include <altq/altq.h>
+#include <net/altq/if_altq.h>
+#include <net/altq/altq.h>
 #ifdef ALTQ3_COMPAT
-#include <altq/altq_conf.h>
+#include <net/altq/altq_conf.h>
 #endif
-#include <altq/altq_cdnr.h>
+#include <net/altq/altq_cdnr.h>
 
 #ifdef ALTQ3_COMPAT
 /*
Index: sys/net/altq/altq_cdnr.h
===================================================================
--- sys/net/altq/altq_cdnr.h	(revision 281525)
+++ sys/net/altq/altq_cdnr.h	(working copy)
@@ -29,7 +29,7 @@
 #ifndef _ALTQ_ALTQ_CDNR_H_
 #define	_ALTQ_ALTQ_CDNR_H_
 
-#include <altq/altq.h>
+#include <net/altq/altq.h>
 
 /*
  * traffic conditioner element types
Index: sys/net/altq/altq_hfsc.c
===================================================================
--- sys/net/altq/altq_hfsc.c	(revision 281525)
+++ sys/net/altq/altq_hfsc.c	(working copy)
@@ -72,10 +72,10 @@
 #include <netpfil/pf/pf.h>
 #include <netpfil/pf/pf_altq.h>
 #include <netpfil/pf/pf_mtag.h>
-#include <altq/altq.h>
-#include <altq/altq_hfsc.h>
+#include <net/altq/altq.h>
+#include <net/altq/altq_hfsc.h>
 #ifdef ALTQ3_COMPAT
-#include <altq/altq_conf.h>
+#include <net/altq/altq_conf.h>
 #endif
 
 /*
Index: sys/net/altq/altq_hfsc.h
===================================================================
--- sys/net/altq/altq_hfsc.h	(revision 281525)
+++ sys/net/altq/altq_hfsc.h	(working copy)
@@ -32,10 +32,10 @@
 #ifndef _ALTQ_ALTQ_HFSC_H_
 #define	_ALTQ_ALTQ_HFSC_H_
 
-#include <altq/altq.h>
-#include <altq/altq_classq.h>
-#include <altq/altq_red.h>
-#include <altq/altq_rio.h>
+#include <net/altq/altq.h>
+#include <net/altq/altq_classq.h>
+#include <net/altq/altq_red.h>
+#include <net/altq/altq_rio.h>
 
 #ifdef __cplusplus
 extern "C" {
Index: sys/net/altq/altq_priq.c
===================================================================
--- sys/net/altq/altq_priq.c	(revision 281525)
+++ sys/net/altq/altq_priq.c	(working copy)
@@ -57,11 +57,11 @@
 #include <netpfil/pf/pf.h>
 #include <netpfil/pf/pf_altq.h>
 #include <netpfil/pf/pf_mtag.h>
-#include <altq/altq.h>
+#include <net/altq/altq.h>
 #ifdef ALTQ3_COMPAT
-#include <altq/altq_conf.h>
+#include <net/altq/altq_conf.h>
 #endif
-#include <altq/altq_priq.h>
+#include <net/altq/altq_priq.h>
 
 /*
  * function prototypes
Index: sys/net/altq/altq_priq.h
===================================================================
--- sys/net/altq/altq_priq.h	(revision 281525)
+++ sys/net/altq/altq_priq.h	(working copy)
@@ -28,10 +28,10 @@
 #ifndef _ALTQ_ALTQ_PRIQ_H_
 #define	_ALTQ_ALTQ_PRIQ_H_
 
-#include <altq/altq.h>
-#include <altq/altq_classq.h>
-#include <altq/altq_red.h>
-#include <altq/altq_rio.h>
+#include <net/altq/altq.h>
+#include <net/altq/altq_classq.h>
+#include <net/altq/altq_red.h>
+#include <net/altq/altq_rio.h>
 
 #ifdef __cplusplus
 extern "C" {
Index: sys/net/altq/altq_red.c
===================================================================
--- sys/net/altq/altq_red.c	(revision 281525)
+++ sys/net/altq/altq_red.c	(working copy)
@@ -98,12 +98,12 @@
 #include <netpfil/pf/pf.h>
 #include <netpfil/pf/pf_altq.h>
 #include <netpfil/pf/pf_mtag.h>
-#include <altq/altq.h>
-#include <altq/altq_red.h>
+#include <net/altq/altq.h>
+#include <net/altq/altq_red.h>
 #ifdef ALTQ3_COMPAT
-#include <altq/altq_conf.h>
+#include <net/altq/altq_conf.h>
 #ifdef ALTQ_FLOWVALVE
-#include <altq/altq_flowvalve.h>
+#include <net/altq/altq_flowvalve.h>
 #endif
 #endif
 
Index: sys/net/altq/altq_red.h
===================================================================
--- sys/net/altq/altq_red.h	(revision 281525)
+++ sys/net/altq/altq_red.h	(working copy)
@@ -29,7 +29,7 @@
 #ifndef _ALTQ_ALTQ_RED_H_
 #define	_ALTQ_ALTQ_RED_H_
 
-#include <altq/altq_classq.h>
+#include <net/altq/altq_classq.h>
 
 #ifdef ALTQ3_COMPAT
 struct red_interface {
Index: sys/net/altq/altq_rio.c
===================================================================
--- sys/net/altq/altq_rio.c	(revision 281525)
+++ sys/net/altq/altq_rio.c	(working copy)
@@ -92,12 +92,12 @@
 
 #include <netpfil/pf/pf.h>
 #include <netpfil/pf/pf_altq.h>
-#include <altq/altq.h>
-#include <altq/altq_cdnr.h>
-#include <altq/altq_red.h>
-#include <altq/altq_rio.h>
+#include <net/altq/altq.h>
+#include <net/altq/altq_cdnr.h>
+#include <net/altq/altq_red.h>
+#include <net/altq/altq_rio.h>
 #ifdef ALTQ3_COMPAT
-#include <altq/altq_conf.h>
+#include <net/altq/altq_conf.h>
 #endif
 
 /*
Index: sys/net/altq/altq_rio.h
===================================================================
--- sys/net/altq/altq_rio.h	(revision 281525)
+++ sys/net/altq/altq_rio.h	(working copy)
@@ -29,7 +29,7 @@
 #ifndef _ALTQ_ALTQ_RIO_H_
 #define	_ALTQ_ALTQ_RIO_H_
 
-#include <altq/altq_classq.h>
+#include <net/altq/altq_classq.h>
 
 /*
  * RIO: RED with IN/OUT bit
Index: sys/net/altq/altq_rmclass.c
===================================================================
--- sys/net/altq/altq_rmclass.c	(revision 281525)
+++ sys/net/altq/altq_rmclass.c	(working copy)
@@ -66,12 +66,12 @@
 #include <netinet/ip.h>
 #endif
 
-#include <altq/if_altq.h>
-#include <altq/altq.h>
-#include <altq/altq_rmclass.h>
-#include <altq/altq_rmclass_debug.h>
-#include <altq/altq_red.h>
-#include <altq/altq_rio.h>
+#include <net/altq/if_altq.h>
+#include <net/altq/altq.h>
+#include <net/altq/altq_rmclass.h>
+#include <net/altq/altq_rmclass_debug.h>
+#include <net/altq/altq_red.h>
+#include <net/altq/altq_rio.h>
 
 /*
  * Local Macros
Index: sys/net/altq/altq_rmclass.h
===================================================================
--- sys/net/altq/altq_rmclass.h	(revision 281525)
+++ sys/net/altq/altq_rmclass.h	(working copy)
@@ -36,7 +36,7 @@
 #ifndef _ALTQ_ALTQ_RMCLASS_H_
 #define	_ALTQ_ALTQ_RMCLASS_H_
 
-#include <altq/altq_classq.h>
+#include <net/altq/altq_classq.h>
 
 /* #pragma ident "@(#)rm_class.h  1.20     97/10/23 SMI" */
 
Index: sys/net/altq/altq_subr.c
===================================================================
--- sys/net/altq/altq_subr.c	(revision 281525)
+++ sys/net/altq/altq_subr.c	(working copy)
@@ -67,9 +67,9 @@
 
 #include <netpfil/pf/pf.h>
 #include <netpfil/pf/pf_altq.h>
-#include <altq/altq.h>
+#include <net/altq/altq.h>
 #ifdef ALTQ3_COMPAT
-#include <altq/altq_conf.h>
+#include <net/altq/altq_conf.h>
 #endif
 
 /* machine dependent clock related includes */
Index: sys/net/altq/if_altq.h
===================================================================
--- sys/net/altq/if_altq.h	(revision 281525)
+++ sys/net/altq/if_altq.h	(working copy)
@@ -36,7 +36,7 @@
 #endif
 
 #ifdef _KERNEL_OPT
-#include <altq/altqconf.h>
+#include <net/altq/altqconf.h>
 #endif
 
 struct altq_pktattr; struct tb_regulator; struct top_cdnr;
Index: sys/net/if_var.h
===================================================================
--- sys/net/if_var.h	(revision 281525)
+++ sys/net/if_var.h	(working copy)
@@ -83,7 +83,7 @@ struct	netmap_adapter;
 
 #define	IF_DUNIT_NONE	-1
 
-#include <altq/if_altq.h>
+#include <net/altq/if_altq.h>
 
 TAILQ_HEAD(ifnethead, ifnet);	/* we use TAILQs so that the order of */
 TAILQ_HEAD(ifaddrhead, ifaddr);	/* instantiation is preserved in the list */
Index: sys/net/ifq.h
===================================================================
--- sys/net/ifq.h	(revision 281525)
+++ sys/net/ifq.h	(working copy)
@@ -47,7 +47,7 @@
  */
 #define	IF_DUNIT_NONE	-1
 
-#include <altq/if_altq.h>
+#include <net/altq/if_altq.h>
 
 /*
  * Structure defining a queue for a network interface.
Index: sys/netpfil/pf/pf_ioctl.c
===================================================================
--- sys/netpfil/pf/pf_ioctl.c	(revision 281525)
+++ sys/netpfil/pf/pf_ioctl.c	(working copy)
@@ -84,7 +84,7 @@ __FBSDID("$FreeBSD$");
 #endif /* INET6 */
 
 #ifdef ALTQ
-#include <altq/altq.h>
+#include <net/altq/altq.h>
 #endif
 
 static int		 pfattach(void);
Index: sys/sys/param.h
===================================================================
--- sys/sys/param.h	(revision 281525)
+++ sys/sys/param.h	(working copy)
@@ -58,7 +58,7 @@
  *		in the range 5 to 9.
  */
 #undef __FreeBSD_version
-#define __FreeBSD_version 1100068	/* Master, propagated to newvers */
+#define __FreeBSD_version 1100069	/* Master, propagated to newvers */
 
 /*
  * __FreeBSD_kernel__ indicates that this system uses the kernel of FreeBSD,
